Qt 5.6 | Qt 3D | C++ Classes | GLTFParser

Qt 5.6.3 Reference Documentation

# GLTFParser Class

(Qt3DRender::GLTFParser)

Inherits: | QAbstractSceneParser

- List of all members, including inherited members

## Public Functions

| GLTFParser()
| ~GLTFParser()
void | setBasePath(const QString &path)
bool | setJSON(const QJsonDocument &json)

## Reimplemented Public Functions

virtual bool | isExtensionSupported(const QUrl &source) const
virtual Qt3DCore::QEntity * | node(const QString &id)
virtual Qt3DCore::QEntity * | scene(const QString &id = QString())
virtual void | setSource(const QUrl &source)

- 6 public functions inherited from Qt3DRender::QAbstractSceneParser

### Additional Inherited Members

- 2 properties inherited from Qt3DRender::QAbstractSceneParser
- 2 signals inherited from Qt3DRender::QAbstractSceneParser
- 3 protected functions inherited from Qt3DRender::QAbstractSceneParser

## Member Function Documentation

### GLTFParser::GLTFParser()

Default constructs an instance of GLTFParser.

### GLTFParser::~GLTFParser()

Destroys the instance of GLTFParser.

### `[virtual]` bool GLTFParser::isExtensionSupported(const QUrl &source) const

### `[virtual]` Qt3DCore::QEntity *GLTFParser::node(const QString &id)

### `[virtual]` Qt3DCore::QEntity *GLTFParser::scene(const QString &id = QString())

### void GLTFParser::setBasePath(const QString &path)

### bool GLTFParser::setJSON(const QJsonDocument &json)

### `[virtual]` void GLTFParser::setSource(const QUrl &source)